$gameBlockItemWidth: 380px;
$gameBlockItemHeight: 320px;
$gameBlockBorderRadius: 4px;
$gameImageBorderRadius: 30px;
$gameNavigationButtonSize: 48px;
$gameMainInformationHeight: 125px;
$gameDateBackgroundColor: #8cc152;
$gameGenreBackgroundColor: #e9edf1;
$gameNavigationBackgroundColor: #289ccf;
$gameItemShadowColor:rgba(0, 0, 0, 0.12);

.game-item-block-container {
    margin: 15px;
    overflow-y: auto;
    padding: 12px 20px;
    background-color: white;
    width: $gameBlockItemWidth;
    height: $gameBlockItemHeight;
    border-radius: $gameBlockBorderRadius;
    box-shadow: 2px 6px 5px $gameItemShadowColor;

    &:first-child {
       margin-left: 0px;
    }

    &:last-child {
       margin-right: 0px;
    }

    .game-item-similar-titles-container {
        display: flex;

        flex-wrap: nowrap;
        padding-top: 10px;
        overflow-x: auto;
        flex-direction: row;

        > a {
            display: block;
            cursor: pointer;
            margin:0px 6px 8px 6px;
            width: $gameNavigationButtonSize;
            height: $gameNavigationButtonSize;
            border-radius: $gameBlockBorderRadius * 2;
            box-shadow: 2px 3px 3px $gameItemShadowColor;

            img {
                width: $gameNavigationButtonSize;
                height: $gameNavigationButtonSize;
                border-radius: $gameBlockBorderRadius * 2;
            }
        }
    }

    .game-item-similar-title {
        font-size: 12px;
        font-weight: 600;
        padding: 10px 5px 5px 5px;
        background-color: rgba(39, 162, 206, 0.12);
        border-top-left-radius: $gameBlockBorderRadius * 2;
        border-top-right-radius:  $gameBlockBorderRadius * 2;
    }

    .game-item-navigation {
        width: 100%;
        display: flex;

        padding-top: 35px;
        flex-direction: column;

        button {
            padding: 0px;
            margin: 0px 5px;

            &:focus {
                outline: none;
            }

            span {
                display: block;
                width: $gameNavigationButtonSize;
                height: $gameNavigationButtonSize;
                border-radius: $gameBlockBorderRadius * 2;
                box-shadow: 2px 2px 5px $gameItemShadowColor;
                background-color: $gameNavigationBackgroundColor;
            }

            .game-item-edit-icon {
                background-size: 100% 100%;
                background-image: url("/assets/svg/icon-edit-inactive.svg");
                &:hover {
                    background-image: url("/assets/svg/icon-edit-active.svg");
                }
            }

            .game-item-creativities-icon {
                background-size: 100% 100%;
                background-image: url("/assets/svg/icon-view-in-creative-gallery.svg");
                &:hover {
                    opacity: 0.75;
                }
            }
        }

        div:first-child {
            height: 50px;
            display: flex;

            flex-direction: row;
            align-items: flex-end;
            justify-content: flex-end;
            margin: -10px 0px 20px 0px;
        }

        .game-item-title {
            display: flex;

            flex-direction: column;
            align-items: flex-start;
            margin: 12px 15px 10px 15px;

            > div {
                width: 175px;
                height: 120px;
                overflow: hidden;
                text-overflow: ellipsis;
            }
        }
    }

    .game-item-genres-information {
        width: 100%;
        height: auto;
        display: flex;

        flex-wrap: wrap;
        overflow-x: auto;
        flex-direction: row;
        padding: 10px 0px 15px 0px;

        > div {
            color: grey;
            font-size: 14px;
            cursor: pointer;
            font-weight: 600;
            padding: 3px 14px;
            border-radius: 100px;
            display: inline-block;
            margin: 0px 6px 6px 0px;
            background: $gameGenreBackgroundColor;
        }

        .game-item-publication-date {
            color: white;
            padding-bottom: 1px;
            background: $gameDateBackgroundColor;
        }
    }

    .game-item-main-information {
        width: 100%;
        display: flex;

        flex-direction: row;
        height: $gameMainInformationHeight;

        .game-item-logo-container {
            height: $gameMainInformationHeight;
            min-width: $gameMainInformationHeight;
            max-width: $gameMainInformationHeight;

            img {
                width: 100%;
                height: 100%;
                border-radius: $gameImageBorderRadius;
            }
        }
    }
}
